> ## Documentation Index
> Fetch the complete documentation index at: https://docs-test.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve unique tax IDs

> Retrieve a list of taxes using a search string (along with their respective rates, wage bases, credit limits, and more).



## OpenAPI

````yaml /ste/api-reference/ste-hosted-api.yaml post /v2/taxIdList
openapi: 3.0.3
info:
  title: STE Hosted API
  description: Symmetry Tax Engine Hosted API
  version: all
  termsOfService: https://www.symmetry.com/terms
  contact:
    name: Symmetry Website
    url: https://www.symmetry.com/
servers:
  - url: https://ste.symmetry.com/ste-hosted
security:
  - apiKey: []
tags:
  - name: Account Information and Schema
    description: Account information and schema retrieval endpoints
  - name: Benefits
    description: Employee benefits status and information
  - name: Location Code
    description: Location code lookup
  - name: Location Tax Information
    description: Location-based tax information and configuration
  - name: Payroll Calculations
    description: Payroll tax calculation endpoints
  - name: Tax Information
    description: Tax ID and reference information
  - name: Documentation
    description: API documentation and specification
  - name: STEVersions
    description: Installed STE database version discovery
paths:
  /v2/taxIdList:
    post:
      tags:
        - Tax Information
      summary: Retrieve unique tax IDs
      description: >-
        Retrieve a list of taxes using a search string (along with their
        respective rates, wage bases, credit limits, and more).
      operationId: taxIdList
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                TaxIDListRequest:
                  $ref: '#/components/schemas/TaxIDListRequest'
            example:
              TaxIDListRequest:
                taxIDSearch:
                  - payDate: '2026-03-24'
                    taxIDSearchString: 80%CPP%
          application/xml:
            schema:
              type: object
              properties:
                TaxIDListRequest:
                  $ref: '#/components/schemas/TaxIDListRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaxIDListResponse'
              example:
                TaxIDListResponse:
                  transactionStamp:
                    totalTransactions: 1
                    calcDateTime: '2026-03-24T13:32:44Z'
                    failedTransactions: 0
                    transactionType: TaxIDList
                    schemaVersion: v2
                    steVersion: 2026-R1
                  errorStatus:
                    errorMessage: No error
                    errorCode: 0
                  taxItem:
                    - provinceAbbreviation: FD
                      provinceName: Canada Federal
                      description: Canada Pension Plan
                      isEmployerTax: false
                      provinceCode: '80'
                      uniqueTaxID: 80-000-0000-CPP-000
            application/xml:
              schema:
                $ref: '#/components/schemas/TaxIDListResponse'
components:
  schemas:
    TaxIDListRequest:
      type: object
      properties:
        taxIDSearch:
          type: array
          items:
            $ref: '#/components/schemas/taxIDListType'
          description: An array of taxIDListType objects to be used as search parameters.
    TaxIDListResponse:
      type: object
      properties:
        errorStatus:
          $ref: '#/components/schemas/errorType'
        transactionStamp:
          $ref: '#/components/schemas/transactionStampType'
        taxItem:
          type: array
          items:
            $ref: '#/components/schemas/taxItemType'
    taxIDListType:
      type: object
      properties:
        payDate:
          $ref: '#/components/schemas/date'
        taxIDSearchString:
          type: string
          description: >-
            The search string used to identify which taxes you want to see
            benefit status information for. `%` is used as a wildcard.
        nonActiveTaxes:
          type: boolean
          description: >-
            Set to true to also return historical taxes that have been
            inactivated. Defaults to false if not set.
    errorType:
      type: object
      properties:
        errorCode:
          type: integer
        errorMessage:
          type: string
    transactionStampType:
      type: object
      properties:
        calcDateTime:
          $ref: '#/components/schemas/dateTime'
        failedTransactions:
          type: integer
        schemaVersion:
          type: string
        steVersion:
          type: string
        totalTransactions:
          type: integer
        transactionType:
          type: string
          enum:
            - PayCalc
            - LocationCode
            - JurisdictionData
            - SetTaxList
            - BenefitStatus
            - BenefitInfo
            - TaxIDList
            - GrossUp
            - GetSchema
            - AccountInfo
            - STEVersions
    taxItemType:
      type: object
      properties:
        cityCode:
          type: string
        cityName:
          type: string
        countyCode:
          nullable: true
          type: string
        countyName:
          type: string
        credit:
          type: number
          description: >-
            Reciprocity credit rate as a percentage (0-100), NOT a dollar
            amount. For example, `100` means 100% of the tax paid to another
            jurisdiction is credited, subject to `creditLimit`.
        creditLimit:
          type: number
          description: >-
            Maximum credit expressed as a percentage of wages (NOT a dollar
            amount), typically capped at this jurisdiction's own tax rate. For
            example, `2.5` means 2.5%.
        description:
          type: string
        isEmployerTax:
          type: boolean
        isResident:
          type: boolean
          description: >-
            Indicates the employee is considered a resident for the purposes of
            calculating this tax.
        municipalityCode:
          type: string
          description: >-
            If a municipality code was returned from the `/locationCode`
            endpoint, set it here.
        municipalityName:
          type: string
        psdCode:
          type: string
        rate:
          type: number
        schoolCode:
          type: string
          description: >-
            If a school code was returned from the `/locationCode` endpoint, set
            it here.
        schoolName:
          type: string
        stateAbbreviation:
          type: string
        stateCode:
          type: string
        stateName:
          type: string
        taxEffectiveDate:
          $ref: '#/components/schemas/date'
        taxInstallationDate:
          $ref: '#/components/schemas/date'
        taxLimit:
          type: number
        taxLimitPeriod:
          type: string
        transitDistrictCode:
          type: string
        transitDistrictName:
          type: string
        uniqueTaxID:
          $ref: '#/components/schemas/uniqueTaxIDType'
        wageBase:
          type: number
        jurisdictionData:
          type: array
          items:
            $ref: '#/components/schemas/jurisdictionDataType'
        country:
          nullable: true
          type: string
        provinceCode:
          nullable: true
          type: string
        provinceAbbreviation:
          nullable: true
          type: string
        provinceName:
          nullable: true
          type: string
        LCPRate:
          nullable: true
          type: number
        LCPAmount:
          nullable: true
          type: number
        basicAmount:
          nullable: true
          type: number
        v1Rate:
          nullable: true
          type: number
        AverageAssessmentRate:
          nullable: true
          type: number
        MaximumInsurable:
          nullable: true
          type: number
        annual_max:
          nullable: true
          type: number
        max_contribution:
          nullable: true
          type: number
        max_contribution_period:
          nullable: true
          type: number
    date:
      type: string
    dateTime:
      type: string
    uniqueTaxIDType:
      type: string
    jurisdictionDataType:
      type: object
      properties:
        uniqueTaxID:
          $ref: '#/components/schemas/uniqueTaxIDType'
        dataType:
          $ref: '#/components/schemas/dataTypeValues'
        certificateLineNo:
          type: string
        defaultValue:
          type: string
        description:
          type: string
        helpText:
          type: string
        listValues:
          nullable: true
          type: string
        parameterName:
          type: string
        regex:
          type: string
        regexDescription:
          type: string
        regexType:
          type: string
        stateAbbreviation:
          type: string
        stateCode:
          type: string
        isOptional:
          type: boolean
        provinceAbbreviation:
          nullable: true
          type: string
        provinceCode:
          nullable: true
          type: string
        taxEffectiveDate:
          nullable: true
          type: string
    dataTypeValues:
      type: string
      enum:
        - Integer
        - Dollar
        - Boolean
        - String
        - Percentage
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        API key for authentication. Provide the raw key as the value of the
        Authorization header (no "Bearer" prefix).

````